--Reframe.jsx
--An InDesign CS4 JavaScript
--
--Shows how to use the resize method.
main()
on main()
	mySetup()
	mySnippet()
	myTeardown()
end main
on mySetup()
	tell application "Adobe InDesign CS4"
		set myDocument to make document
		tell view preferences of myDocument
			set horizontal measurement units to points
			set vertical measurement units to points
		end tell
		tell page 1 of myDocument
			set myRectangle to make rectangle with properties {geometric bounds:{72, 72, 144, 144}, stroke weight:4}
		end tell
		set myTransformationMatrix to make transformation matrix with properties {counterclockwise rotation angle:30}
		tell myRectangle
			transform in pasteboard coordinates from center anchor with matrix myTransformationMatrix
		end tell
	end tell
end mySetup
on mySnippet()
	tell application "Adobe InDesign CS4"
		set myRectangle to rectangle 1 of page 1 of document 1
		--<fragment>
		--Given a reference to a rectangle "myRectangle"...
		set myBounds to geometric bounds of myRectangle
		set myX1 to (item 2 of myBounds) - 72
		set myY1 to (item 1 of myBounds) - 72
		set myX2 to (item 4 of myBounds) + 72
		set myY2 to (item 3 of myBounds) + 72
		set myDuplicate to duplicate myRectangle
		reframe myDuplicate in inner coordinates opposing corners {{myX1, myY1}, {myX2, myY2}}
		--</fragment>
	end tell
end mySnippet
on myTeardown()
end myTeardown