--ScriptLabels.applescript
--An InDesign CS4 AppleScript
--
--Shows how to set script labels and how to
--get references to page items by label.
main()
on main()
	mySetup()
	mySnippet()
	myTeardown()
end main
on mySetup()
	tell application "Adobe InDesign CS4"
		set myDocument to make document
	end tell
end mySetup
on mySnippet()
	tell application "Adobe InDesign CS4"
		set myDocument to document 1
		set myPage to page 1 of myDocument
		set myPageWidth to page width of document preferences of myDocument
		set myPageHeight to page height of document preferences of myDocument
		--<fragment>
		--Create 10 random page items.
		repeat with myCounter from 1 to 10
			set myX1 to my myGetRandom(0, myPageWidth, false)
			set myY1 to my myGetRandom(0, myPageHeight, false)
			set myX2 to my myGetRandom(0, myPageWidth, false)
			set myY2 to my myGetRandom(0, myPageHeight, false)
			tell myPage
				set myRectangle to make rectangle with properties {geometric bounds:{myY1, myX1, myY2, myX2}}
			end tell
			if my myGetRandom(0, 1, true) = 1 then
				set label of myRectangle to "myScriptLabel"
			end if
		end repeat
		set myPageItems to page item "myScriptLabel" of myPage
		if (count myPageItems) is not equal to 0 then
			display dialog ("Found " & (count myPageItems) & " page items with the label.")
		end if
		--</fragment>
	end tell
end mySnippet
on myTeardown()
end myTeardown
--<fragment>
--This function gets a random number in the range myStart to myEnd.
on myGetRandom(myStart, myEnd, myInteger)
	set myRange to myEnd - myStart
	if myInteger = true then
		set myRandom to myStart + (random number from myStart to myEnd)
	else
		set myRandom to myStart + (random number from myStart to myEnd) as integer
	end if
	return myRandom
end myGetRandom
--</fragment>