Rem Reframe.vbs
Rem An InDesign CS4 VBScript
Rem 
Rem Shows how to use the reframe method.
main
Function main()
	Set myInDesign = CreateObject("InDesign.Application")
	mySetup myInDesign
	mySnippet myInDesign
	myTeardown myInDesign
End Function
Function mySetup(myInDesign)
	Set myDocument = myInDesign.Documents.Add
	myDocument.ViewPreferences.HorizontalMeasurementUnits = idMeasurementUnits.idPoints
	myDocument.ViewPreferences.VerticalMeasurementUnits = idMeasurementUnits.idPoints
	Set myPage = myDocument.Pages.Item(1)
	Set myRectangle = myPage.Rectangles.Add
	myRectangle.GeometricBounds = Array(72, 72, 144, 144)
	myRectangle.StrokeWeight = 4
	Set myTransformationMatrix = myInDesign.TransformationMatrices.Add(,,,30)
	myRectangle.Transform idCoordinateSpaces.idPasteboardCoordinates, idAnchorPoint.idCenterAnchor, myTransformationMatrix
End Function
Function mySnippet(myInDesign)
	Rem PageItem.reframe (in:any, opposingCorners:Array of any) 
	Rem Move the bounding box of the page item
	Rem in: Data Type: any 
	Rem The bounding box to resize. Can accept: CoordinateSpaces enumerator or Ordered array containing coordinateSpace:CoordinateSpaces enumerator, boundsKind:BoundingBoxLimits enumerator.
	Rem opposingCorners: Data Type: Array of any 
	Rem Opposing corners of new bounding box in the given coordinate space
	Set myRectangle = myInDesign.Documents.Item(1).Pages.Item(1).Rectangles.Item(1)	
	Rem <fragment>
	Rem Given a reference to a rectangle "myRectangle"...
	myBounds = myRectangle.GeometricBounds
	myX1 = myBounds(1)-72
	myY1 = myBounds(0)-72
	myX2 = myBounds(3)+72
	myY2 = myBounds(2)+72
	Set myDuplicate = myRectangle.Duplicate
	myDuplicate.Reframe idCoordinateSpaces.idInnerCoordinates, Array(Array(myY1, myX1), Array(myY2, myX2))
	Rem </fragment>
End Function
Function myTeardown(myInDesign)
End Function