Rem ScriptLabels.vbs
Rem An InDesign CS4 VBScript
Rem
Rem Shows how to set script labels and how to
Rem get references to page items by label.
main
Function main()
   Set myInDesign = CreateObject("InDesign.Application")
   mySetup myInDesign
   mySnippet myInDesign
   myTeardown myInDesign
End Function
Function mySetup(myInDesign)
   Set myDocument = myInDesign.Documents.Add
End Function
Function mySnippet(myInDesign)
   Set myDocument = myInDesign.Documents.Item(1)
   Set myPage = myDocument.Pages.Item(1)
   myPageWidth = myDocument.DocumentPreferences.PageWidth
   myPageHeight = myDocument.DocumentPreferences.PageHeight
   Rem <fragment>
   Rem Create 10 random page items.
   For myCounter = 1 To 10
       myX1 = myGetRandom(0, myPageWidth, False)
       myY1 = myGetRandom(0, myPageHeight, False)
       myX2 = myGetRandom(0, myPageWidth, False)
       myY2 = myGetRandom(0, myPageHeight, False)
       Set myRectangle = myPage.Rectangles.Add
       myRectangle.GeometricBounds = Array(myY1, myX1, myY2, myX2)
       If myGetRandom(0, 1, True) > 0 Then
           myRectangle.Label = "myScriptLabel"
       End If
   Next
   Set myPageItems = myPage.PageItems.Item("myScriptLabel")
   If myPageItems.Count <> 0 Then
       MsgBox ("Found " & CStr(myPageItems.Count) & " page items with the label.")
   End If
   Rem </fragment>
End Function
Function myTeardown(myInDesign)
End Function
Rem This function gets a random number in the range myStart to myEnd.
Function myGetRandom(myStart, myEnd, myInteger)
    Rem Here's how to generate a random number from a given range:
    Rem Int((upperbound - lowerbound + 1) * Rnd + lowerbound)
    If myInteger = True Then
        myGetRandom = Int(((myEnd - myStart + 1) * Rnd) + myStart)
    Else
        myGetRandom = ((myEnd - myStart + 1) * Rnd) + myStart
    End If
End Function