Rem MoveTextBetweenDocuments.vbs
Rem An InDesign CS4 VBScript
Rem
Rem Moves formatted text from one document to another using import/export.
main
Function main()
	Set myInDesign = CreateObject("InDesign.Application")
	mySetup myInDesign
	mySnippet myInDesign
	myTeardown myInDesign
End Function
Function mySetup(myInDesign)
	Set mySourceDocument = myInDesign.Documents.Add
	Set mySourcePage = myInDesign.ActiveWindow.ActivePage
	Rem Create a text frame.
	Set myTextFrame = mySourcePage.TextFrames.Add
	myTextFrame.geometricBounds = myGetBounds(mySourceDocument, mySourcePage)
	myTextFrame.Contents = "This is the source text." & vbCr & "This text is not the source text."
	myTextFrame.ParentStory.Paragraphs.Item(1).PointSize = 24
End Function
Function mySnippet(myInDesign)
	Rem <fragment>
	Set myDocument = myInDesign.Documents.Item(1)
	Set myPage = myDocument.Pages.Item(1)
	set mySourceTextFrame = myPage.TextFrames.Item(1)
	Set mySourceParagraph = mySourceTextFrame.ParentStory.Paragraphs.Item(1)
	Rem Create a target.
	Set myTargetDocument = myInDesign.Documents.Add
	Set myTargetPage = myTargetDocument.Pages.Item(1)
	Rem Create a text frame.
	Set myTextFrame = myTargetPage.TextFrames.Add
	myTextFrame.GeometricBounds = myGetBounds(myTargetDocument, myTargetPage)
	myTextFrame.Contents = "This is the target text. Insert the source text after this paragraph." & vbCr
	mySourceParagraph.duplicate idLocationOptions.idAfter, myTextFrame.InsertionPoints.Item(-1)
	Rem </fragment>
End Function
Function myTeardown(myInDesign)
End Function
Function myGetBounds(myDocument, myPage)
	myPageWidth = myDocument.DocumentPreferences.PageWidth
	myPageHeight = myDocument.DocumentPreferences.PageHeight
	If myPage.Side = idPageSideOptions.idLeftHand Then
		myX2 = myPage.MarginPreferences.Left
		myX1 = myPage.MarginPreferences.Right
	Else
		myX1 = myPage.MarginPreferences.Left
		myX2 = myPage.MarginPreferences.Right
	End If
	myY1 = myPage.marginPreferences.Top
	myX2 = myPageWidth - myX2
	myY2 = myPageHeight - myPage.MarginPreferences.Bottom
	myGetBounds = Array(myY1, myX1, myY2, myX2)
End Function