Rem AddReturns.vbs
Rem An InDesign CS4 VBScript
Rem
Rem Defines a simple XML rule.

main

Function main()
   mySetup
   mySnippet
   myTeardown
End Function

Function mySetup()
End Function

Function mySnippet()
   Rem <fragment>
   Set myInDesign = CreateObject("InDesign.Application")
   Set myDocument = myInDesign.ActiveDocument
   myFilePath = myInDesign.FilePath
   myFilePath = myFilePath & "\Scripts\Xml rules\glue code.vbs"
   Rem Use the Include function to load the glue code file.
   Include myFilePath
   Set myAddReturns = new AddReturns
   myRuleSet = Array(myAddReturns)
   Rem The fourth parameter of __processRuleSet is a
   Rem prefix mapping table; we'll leave it empty.
   glueCode_ProcessRuleSet myInDesign, myDocument.XMLElements.Item(1), myRuleSet, Array() 
   Rem </fragment>
End Function

Function myTeardown()
End Function

Rem <fragment>
Rem XML rule "AddReturns"
Class AddReturns
	Public Property Get name
		name = "AddReturns"
	End Property
	Public Property Get xpath
		xpath = "//*"
	End Property
	Public Function  apply (myXMLElement, myRulesProcessor)
		With myXMLElement
			Rem Add a return character after the end of the XML element
			Rem (this means that the return does not become part of the
			Rem XML element data, but becomes text data associated with the
			Rem parent XML element).
			.InsertTextAsContent vbcr, idXMLElementPosition.idAfterElement
			Rem Enter true to stop further processing of this element.
		End With
		apply = False
	End Function 
End Class
Function Include(myScriptFilePath)
	Set myFileSystemObject = CreateObject("Scripting.FileSystemObject")
	Set myScriptFile = myFileSystemObject.OpenTextFile(myScriptFilePath)
	myScriptContents = myScriptFile.ReadAll
	ExecuteGlobal myScriptContents
End Function
Rem </fragment>

