Rem ConvertToAttribute.vbs
Rem An InDesign CS4 VBScript
Rem
Rem Shows how to use an XML rule to convert an XML element
Rem to an attribute in the XML structure.

main

Function main()
   mySetup
   mySnippet
   myTeardown
End Function

Function mySetup()
End Function

Function mySnippet()
   Rem <fragment>
   Set myInDesign = CreateObject("InDesign.Application")
   If myInDesign.Documents.Count > 0 Then
   	Set myDocument = myInDesign.Documents.Item(1)
   	myFilePath = myInDesign.FilePath
   	myFilePath = myFilePath & "\Scripts\Xml rules\glue code.vbs"
   	Rem Use the Include function to load the glue code file.
   	Include myFilePath
   	myRuleSet = Array(new ConvertToAttribute)
   	glueCode_ProcessRuleSet myInDesign, myDocument.XMLElements.Item(1), myRuleSet, Array()
   End If
   Rem </fragment>
End Function

Function myTeardown()
End Function

Rem <fragment>
Class ConvertToAttribute
	Public Property Get name
		name = "ConvertToAttribute"
	End Property
	Public Property Get xpath
		xpath = "/devices/device/part_number"
	End Property
	Rem Converts an XML element to an attribute 
	Rem of the parent of the XML element.
	Public Function  apply (myXMLElement, myRuleProcessor)
		glueCode_skipChildren(myRuleProcessor)
		With myXMLElement
			.ConvertToAttribute
		End With
		apply = true
	End Function 
End Class
Function Include(myScriptFilePath)
	Set myFileSystemObject = CreateObject("Scripting.FileSystemObject")
	Set myScriptFile = myFileSystemObject.OpenTextFile(myScriptFilePath)
	myScriptContents = myScriptFile.ReadAll
	ExecuteGlobal myScriptContents
End Function

Rem </fragment>


