Rem FindXMLElementByFindGrep.vbs
Rem An InDesign CS4 VBScript
Rem
Rem Shows how to find an XML element by its content using FindGrep.

main

Function main()
   mySetup
   mySnippet
   myTeardown
End Function

Function mySetup()
End Function

Function mySnippet()
   Rem <fragment>
   Set myInDesign = CreateObject("InDesign.Application")
   If myInDesign.Documents.Count > 0 Then
   	Set myDocument = myInDesign.Documents.Item(1)
   	Rem Define two colors.
   	Set myColorA = myAddColor(myDocument, "ColorA", idColorModel.idProcess, Array(0, 100, 80, 0))
   	myFilePath = myInDesign.FilePath
   	myFilePath = myFilePath & "\Scripts\Xml rules\glue code.vbs"
   	Rem Use the Include function to load the glue code file.
   	Include myFilePath
   	myRuleSet = Array(new FindByFindGrep)
   	glueCode_ProcessRuleSet myInDesign, myDocument.XMLElements.Item(1), myRuleSet, Array()
   End If
   Rem </fragment>
End Function

Function myTeardown()
End Function

Rem <fragment>
Class FindByFindGrep
	Public Property Get name
		name = "FindByFindGrep"
	End Property
	Public Property Get xpath
		xpath = "/devices/device/description"
	End Property
	Public Function  apply (myXMLElement, myRuleProcessor)
		With myXMLElement		
			myResetFindGrep
			If .Texts.Item(1).contents <> "" Then
				Rem Search for the regular expression:
				Rem "(?i)pulse.*?triangle|triangle.*?pulse" 
				Rem in the content of the element.
				myInDesign.FindGrepPreferences.FindWhat = "(?i)pulse.*?triangle|triangle.*?pulse"
				Set myFoundItems = .FindGrep
				If myFoundItems.Count > 0 Then
					.Texts.Item(1).FillColor = myColorA
				End If
				myResetFindGrep
			End If
		End With
		apply = false
	End Function 
End Class
Function myResetFindGrep
	myInDesign.FindTextPreferences = idNothingEnum.idNothing
	myInDesign.ChangeTextPreferences = idNothingEnum.idNothing
End Function
Function Include(myScriptFilePath)
	Set myFileSystemObject = CreateObject("Scripting.FileSystemObject")
	Set myScriptFile = myFileSystemObject.OpenTextFile(myScriptFilePath)
	myScriptContents = myScriptFile.ReadAll
	ExecuteGlobal myScriptContents
End Function
Function myAddColor(myDocument, myColorName, myColorModel, myColorValue)
    On Error Resume Next
    Set myColor = myDocument.colors.Item(myColorName)
    If Err.Number <> 0 Then
        Set myColor = myDocument.colors.Add
	    myColor.Name = myColorName
	    Err.Clear
    End If
    On Error GoTo 0
    myColor.model = myColorModel
    myColor.colorValue = myColorValue
    Set myAddColor = myColor
End Function
Rem </fragment>
